Subject: bug#21019: ifconfig doesn't allow mac change for devices

From: [email-masked] (Ludovic Courtès)
Date: Fri, 10 Jul 2015 19:30:28 +0200

[+ Cc: bug-inetutils]

Alex Kost <[email-masked]> skribis:

> [email-masked] [email-masked] (2015-07-09 21:16 +0300) wrote:
>
>> Hello, I am trying to install guixsd with the installation image, my wireless
>> internet provider allows me for only one MAC. The command I use to change the
>> card mac on other distros and installation images is:
>>
>> ifconfig device hw ether NewMacAdress
>>
>> But with guixsd ifconfig fails telling me that the device can have only one
>> address. Interesting to notice that I can put whatever device, even non existent
>> names like "jlakjdj" and it tells the same thing, the device can only have on
>> adress. I have an Atheros card.
>
> As I answered on IRC <https://gnunet.org/bot/log/guix/2015-07-09#T695806>,
> my speculative guess is that perhaps ifconfig is patched on other
> distros to handle this problem.

I think most other distros use ‘ifconfig’ from net-tools, not from
GNU inetutils.  If think this is just unimplemented.

Can someone at bug-inetutils comment?

> Did you try "ip link set <device> address <address>"?

This is in the ‘iproute2’ package.  Should we add it to the installation
image?

Thanks,
Ludo’.